import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  patientId: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  staffId: z.literal(true).optional()
}).strict();
export const AppointmentAvgAggregateInputObjectSchema: z.ZodType<Prisma.AppointmentAvgAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentAvgAggregateInputType>;
export const AppointmentAvgAggregateInputObjectZodSchema = makeSchema();
